Jump to content











Photo
- - - - -

VistaPE updated package RC1a


  • Please log in to reply
112 replies to this topic

#101 dera

dera

    Gold Member

  • .script developer
  • 1335 posts
  •  
    Hungary

Posted 29 January 2010 - 06:31 AM

@psc
It is not a WinBuilder.exe bug
it's clearly a VistaPE-CAPI script bug

#102 JonF

JonF

    Gold Member

  • .script developer
  • 1185 posts
  • Location:Boston, MA
  •  
    United States

Posted 19 July 2010 - 11:10 PM

Several scripts updated on the vistape.winbuilder.net server.

#103 nxh88x9xmmx

nxh88x9xmmx
  • Members
  • 2 posts
  •  
    United States

Posted 20 July 2010 - 05:41 PM

Hi, I didn't find the link to download the package.
=======================================

As discussed in the Is VistaPE Dead thread, I've put together a package intended for a user to download and get an updated and useful VistaPE that works "out-of-the-box", includes a wide variety of functionality, and has been updated so as to make future API updates and additions easier. Well, I've completed my first cut at it, and here it is for others to try and comment on.

Requires WinBuilder 076 or higher. Also tested with WinBuilder 077 RC1.

Here's the changelog for VistaPE RC1a:

Project files:

  • Added variables: %ProjectInfo% (=%VistaInfo%), %PECfg% (=%VPECFG%), %PECfgCD% (=%VPECFG%), %PE_CFG% (=%VPE_CFG%), %GlobalSupport%, %GlobalTemplates%, %ProjectTemplates%, %ProjectCache%, %GlobalTemp%, %ProjectTemp%, %OsType%.
  • Modified variable %TempFolder% to equal %ProjectTemp%.
  • Replaced all references to %VistaInfo%, %VPECFG%, %VPECFG%, and %VPE_CFG% with references to the new names. The old variables remain in place in case user scripts are using them.
  • Added VistaPE API commands to the Maqic Wand in WinBuilder.
  • Straightened out shell selection, wo works for all shells listed in main configuration.
  • Replaced all uses of the ReadEnv API command with "IniRead...". The command remains in place in case user scripts are using it.
  • Many fixes for spurious warnings.
  • Fixed a few spelling errors.
Application scripts:
  • Added HijackThis! 2.02 (with Runscanner 1.0.0.23).
  • Added HijackThis! Hotkey 3.0.
  • Added Spybot - Search & Destroy 1.6.2.
  • Updated Avira Antivirus (now with its internal update working at runtime!)
  • Added Sophos antivirus command-line scanner
  • Updated 7-zip to 4.65 (slight modification of saydin77's script).
  • Added Recuva 1.28.424.
  • Added MBRFix 1.09.
  • Updated HDDScan to 3.2.
  • Updated System Information Viewer to 4.00.
  • Updated System Information for Windows to build 2009-05-12 freeware multilanguage.
  • Updated Partition FInd and Mount to 2.31.
  • Added SC-Diskinfo 1.11 (disk space usage visualization).
  • Added A43 2.53 file manager.
  • Updated Cubic Explorer to 0.90.0.1131.
  • Added Super Finder XT 1.6.1.1 (with language choices ... but I don't see Turkish unless it's listed in Turkish).
  • Added Unstoppable Copier 3.56.
  • Added Y-copy 1.0d.
  • Added FileZilla 3.2.6.1.
  • Updated SumatraPDF to 0.9.3.
  • Added NirSoft's Regscanner 1.7.7.0 (Lancelot's script).
  • Added Paraglider's RegShot 1.8.2.
  • Updated MiTec WIndows Registry Recovery to 1.4.0.
  • Updated DiskCryptor to 0.7.
  • Updated TrueCrypt to 6.2a.
  • Added Paraglider's Runscanner 1.0.0.23.
  • Added NirSoft's Produkey Key Finder 1.35.
  • Updated Dependency Walker 2.2.
  • Updated System Explorer to 1.5.
  • Updated Universal Extractor to 1.6.
  • Added Unlocker 1.8.7.
Other OS:
  • Updated Memtest 86+ 2.11.
  • Updated Parted magic Linux to automatically download and use the latest version.



Updated version of JonF's package available on vistape.winbuilder.net , download with winbuilder using vistape.winbuilder.net server to get latest version.



#104 homes32

homes32

    Gold Member

  • .script developer
  • 1021 posts
  • Location:Minnesota
  •  
    United States

Posted 20 July 2010 - 06:44 PM

Hi, I didn't find the link to download the package.
=======================================

thats cuz you didn't read the post you quoted carefully. its right at the buttom

Updated version of JonF's package available on vistape.winbuilder.net , download with winbuilder using vistape.winbuilder.net server to get latest version.



#105 ryan1cf

ryan1cf

    Newbie

  • Members
  • 15 posts
  •  
    Canada

Posted 22 July 2010 - 04:52 PM

I've been using VistaPE for quite some time now. Building and re-building, adding and testing scripts, all for the purpose of running anti-spyware & anti-virus scans on troubled PC's. It's been an invaluable resource.

With this update though, I've been having a lot of errors and config issues. I’ll provide as much detail as possible but I'm sure there will be questions.

VistaPE: current build
Build Source: Vista x32 SP2 source cd
Build Environment: Win7 x64
Scripts being loaded:
Base: All
Addons: Everything but, ie7, Imdisk, Ruslat, File sharing, Starfield, Unknown, Virtual PC, WIMMaster, Win Vista Recov.
Drivers: All
Tweaks: Only Wallpaper
App scripts: Currently only loading Firefox 3.53 script ver .14 modified to include some additional plugin’s
Other OS: None
Finalize: PostConfig, & Create ISO

Issue/error encountered:
During 00-postconfig.script v.16
Bcdedit.exe error details:
The procedure entry point DWMHintDxUpdate could not be located in the dynamic link library USER32.dll
This error occurs 3 times during script run.
Screen shot:
Posted Image

I also have a lot of other scripts that I'm loading but I'm going to revert to the previous version of VistaPE because I can't even test my scripts because I keep getting the BSOD when using the xVPE VirtualBox script and when VistaPE loads in VirtualBox I'll try to start PENetCfg then BSOD with error for tcpipreg.sys

#106 ryan1cf

ryan1cf

    Newbie

  • Members
  • 15 posts
  •  
    Canada

Posted 22 July 2010 - 06:38 PM

As it turns out, this particular error isn't because of the new build of VistaPE but rather most likely an update applied to Windows 7 x64. Even after restoring a previous working build of VistaPE the error continues.

Now I'm testing my build process on an XP SP3 PC.

#107 Lancelot

Lancelot

    Frequent Member

  • .script developer
  • 5013 posts
  • Location:Turkiye/Izmir
  • Interests:*Mechanical stuff and Physics,
    *LiveXP, BartPE, SherpyaXPE,
    *Basketball and Looong Walking,
    *Buying outwear for my girlf (Reason: Girls are stupid about buying bad stuff to make themselves uglier :))
    *Girls (Lyric: Girl,...., You will be a womann, Soon)
    *Answering questions for "Meaning of life",
    *Helping people,

    Kung with LiveXP, Fu with Peter :)
  •  
    Turkey

Posted 22 July 2010 - 06:48 PM

I remember similar error when I installed KB3AIK_EN.iso (1.66MB, 8/6/2009) and try to build using vistasource....

Since now 6001.18000.080118-1840-kb3aikl_en.iso installed no issue on building.......

#108 ryan1cf

ryan1cf

    Newbie

  • Members
  • 15 posts
  •  
    Canada

Posted 22 July 2010 - 07:21 PM

I forgot to mention I'm also using KB3AIK_EN.iso now I'll switch back to 6001.18000.080118-1840-kb3aikl_en.iso. and give it a try

Thanks Lancelot

#109 ryan1cf

ryan1cf

    Newbie

  • Members
  • 15 posts
  •  
    Canada

Posted 22 July 2010 - 10:06 PM

My build processes are working again.

Thanks for the help Lancelot!

Now I can enjoy creating my builds and testing scripts again.... Too bad I'm not a script writer because I'm testing out scripts and modifying scripts to suit my own purposes all the time!

Working on:
Windows 7 x64
Winbuilder ver 80.0.3.0
WAIK 1.1 aka Vista WAIK
VistaPE CAPI v.12 (RC1b common API)
Testing in VirtualBox 3.2.6 r63112
networking works in VB too

App scripts tested and working for me:
Sopho's Antivirus
RunOnceEx v.IV_fx
PENetCfg
Avast
Ghost_Lance
DeepBurner
Piriform Defragler
Sysinternals Suit
7Zip
ProduKey 1.35 Key Finder
FileZilla
BGInfo
CrystalCPUID
Memtest86

App scripts tested and working for me after personal modifications:
Firefox 3.53 - included addition plugins
Spybot 1.6.2 - couldn't get original script to work so I rebuilt the .7z file attached in the script

Still getting that error Lancelot, that bcdedit.exe "entry point DWMHintDxUpdate"
I was thinking it might be because of MSXML 6.1, because when I started using Win 7 WAIK I installed 6.1. I'll try uninstalling 6.1 and install 6.0 tomorrow some time, if tomorrow I might not have an update until Monday... I'll see...

#110 Lancelot

Lancelot

    Frequent Member

  • .script developer
  • 5013 posts
  • Location:Turkiye/Izmir
  • Interests:*Mechanical stuff and Physics,
    *LiveXP, BartPE, SherpyaXPE,
    *Basketball and Looong Walking,
    *Buying outwear for my girlf (Reason: Girls are stupid about buying bad stuff to make themselves uglier :))
    *Girls (Lyric: Girl,...., You will be a womann, Soon)
    *Answering questions for "Meaning of life",
    *Helping people,

    Kung with LiveXP, Fu with Peter :)
  •  
    Turkey

Posted 23 July 2010 - 03:49 PM

Hi ryan1cf,

Still getting that error Lancelot, that bcdedit.exe "entry point DWMHintDxUpdate"

Give a try to the following "test" script (extract to \Projects\VistaPE-CAPI\Finalize\)
http://www.mediafire...8yoxvw2oxey699s

good luck.

#111 ryan1cf

ryan1cf

    Newbie

  • Members
  • 15 posts
  •  
    Canada

Posted 23 July 2010 - 08:11 PM

I copied my Winbuilder directory and took it to my home Win 7 x64 PC and ran the build without any errors.

I downloaded the postconfig file you provided for me and tested it on my Win 7 x64 work PC and still get that error. The build completes successfully and I can still run it.

I still haven't tried uninstalling MSXML 6.1 then installing 6.0. I try this remotely from home when I'm finished my other work.

#112 shiggidy_

shiggidy_

    Member

  • Members
  • 55 posts
  •  
    Solomon Islands

Posted 24 July 2010 - 10:10 PM

Hi ryan1cf,

Lancelot have no further idea, I hope advanced users may point the issue in time to be fixed. Win7x64 with some updates seems having a set of new suprises from bi$$y. B)

At least good to hear things go back to normal building with your home Win 7 x64 PC :dubbio:

#113 jasontmarion

jasontmarion

    Newbie

  • Members
  • 21 posts
  •  
    United States

Posted 21 June 2011 - 10:53 PM

I Launched Avira in Vista-PE when I click on updates. It updates but when it tries to install the updates I get a error message

That say's "Validation of engine and VDF failed". No updates were installed.

Does anyone know why?

I am using Win-build 080 and Avira script that came with the VistaPE-CAPI via download. size is 721KB

I was not sure were to post this Avira issue at. I apologize if this is the wrong spot.

thanks
-JM




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users